package com.hisschemoller.view 
{
	import com.hisschemoller.model.FLARProxy;
	import com.hisschemoller.model.vo.FLARResultVO;
	import com.hisschemoller.view.components.ARInfo;

	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.mediator.Mediator;	
	/**
	 * @author Wouter Hisschemöller
	 * (c) Aug 2, 2009
	 */
	public class ARInfoMediator extends Mediator implements IMediator 
	{
		public static const NAME : String = "ARInfoMediator";

		public function ARInfoMediator(inViewComponent : Object)
		{
			super(NAME, inViewComponent);
		}

		/**
		 * 
		 */
		override public function listNotificationInterests() : Array
		{
			return [ FLARProxy.TRANSFORM_3D_UPDATE ];
		}

		/**
		 * 
		 */
		override public function handleNotification(inNote : INotification) : void
		{
			switch(inNote.getName()) 
			{
				case FLARProxy.TRANSFORM_3D_UPDATE:
					info.update(inNote.getBody() as FLARResultVO);
					break;
			}
		}

		/**
		 * 
		 */
		private function get info() : ARInfo
		{
			return viewComponent as ARInfo;
		}
	}
}
