package com.hisschemoller 
{
	import com.hisschemoller.controller.StartupCommand;
	
	import org.puremvc.as3.interfaces.IFacade;
	import org.puremvc.as3.patterns.facade.Facade;	
	/**
	 * @author Wouter Hisschemöller
	 * (c) Jul 31, 2009
	 */
	public class AppFacade extends Facade implements IFacade 
	{
		public static const STARTUP : String = "startup";

		/**
		 * 
		 */
		public static function getInstance() : AppFacade
		{
			if( instance == null) instance = new AppFacade();
			return instance as AppFacade;
		}

		/**
		 * 
		 */
		override protected function initializeController( ) : void
		{
			super.initializeController();
			registerCommand(STARTUP,  StartupCommand);
		}

		/**
		 * 
		 */
		public function startup(inApp : App) : void
		{
			sendNotification(STARTUP, inApp);
		}
	}
}
